// (C) Copyright 1992 Jim Patterson
#import <objc/Object.h>
#import <objc/List.h>

#define TA_KEY_LEFTSHIFT 30
#define TA_KEY_RIGHTSHIFT 31

@interface LessonPlan:Object
{
	int lessonNum;
	int keyIsIncluded[128];
	char compactedKeyList[128];
	int numCompactedKeys;
	int compactedCapsToo;
	id keyboardBox;
	id keyboardKey[128];
	id lessonNumMatrix;
	id lessonPlanWindow;
}


+ new;
- postInitialize;
- setKeyboardBox:anObject;
- setLessonNumMatrix:anObject;
- setLessonPlanWindow:anObject;
- lessonNumMatrix;
- setLessonNum:(int) newLessonNum;
- keyChanged:sender;
- deselectAll;
- (BOOL) keyIsSelected:(int) key;
- selectKey :(int) key;
- deselectKey :(int) key;
- selectKeysInStr :(char *) str;
- selectKeysBetween :(int) start :(int) finish;
- lessonChanged:sender;
- compactKeyList;
- flushKeyboard;
- (int) randomBetween:(int) lowBound :(int) highBound;
- (char) chooseChar;
- readInfo:(NXTypedStream *) tstream;
- writeInfo:(NXTypedStream *) tstream;



@end
