// (C) Copyright 1992 Jim Patterson

#import <appkit/Application.h>

@interface ArcadeApp:Application
{
	id gameWindow;
	id instructionsScrollView;
	id gameView;
	id clipView;
	id pauseButton;
	id lessonPlan;
	id speedSlider;
	id timer;
	int gameProgress;
	int gamePhase;
	char currentLowestLetter;
	int cycleDelta;
	id explosionSound;
	id keyHitSound;
	id performanceEvaluator;
	char personalFileName[256];
	int startedWithFile;
}

+new;
- appDidInit:sender;
- appDidHide:sender;
- setLessonPlan:anObject;
- setGameWindow:anObject;
- setGameView:anObject;
- setPauseButton:anObject;
- setPerformanceEvaluator:anObject;
- setInstructionsScrollView:anObject;
- lessonPlan;
- performanceEvaluator;
- gameWindow;
- speedChanged:sender;
- startNewGame:sender;
- stopGame:sender;
- playerLoses:sender;
- playerWins:sender;
- cycleOnce:sender;
- pauseGame:sender;
- keyDown:(NXEvent *) theEvent;
- getReadyPanel;
- boxWithStr:(char *) str;
- saveAs:sender;
- save:sender;
- open:sender;
- printInstructions:sender;
- (BOOL) appAcceptsAnotherFile:sender;
- (int) appOpenFile:(const char *) filename type:(const char *) aType;


@end
